package com.hfkj.entity;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class BsMerchantExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    private Integer limit;

    private Long offset;

    public BsMerchantExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    public void setLimit(Integer limit) {
        this.limit = limit;
    }

    public Integer getLimit() {
        return limit;
    }

    public void setOffset(Long offset) {
        this.offset = offset;
    }

    public Long getOffset() {
        return offset;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andSourceTypeIsNull() {
            addCriterion("source_type is null");
            return (Criteria) this;
        }

        public Criteria andSourceTypeIsNotNull() {
            addCriterion("source_type is not null");
            return (Criteria) this;
        }

        public Criteria andSourceTypeEqualTo(Integer value) {
            addCriterion("source_type =", value, "sourceType");
            return (Criteria) this;
        }

        public Criteria andSourceTypeNotEqualTo(Integer value) {
            addCriterion("source_type <>", value, "sourceType");
            return (Criteria) this;
        }

        public Criteria andSourceTypeGreaterThan(Integer value) {
            addCriterion("source_type >", value, "sourceType");
            return (Criteria) this;
        }

        public Criteria andSourceTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("source_type >=", value, "sourceType");
            return (Criteria) this;
        }

        public Criteria andSourceTypeLessThan(Integer value) {
            addCriterion("source_type <", value, "sourceType");
            return (Criteria) this;
        }

        public Criteria andSourceTypeLessThanOrEqualTo(Integer value) {
            addCriterion("source_type <=", value, "sourceType");
            return (Criteria) this;
        }

        public Criteria andSourceTypeIn(List<Integer> values) {
            addCriterion("source_type in", values, "sourceType");
            return (Criteria) this;
        }

        public Criteria andSourceTypeNotIn(List<Integer> values) {
            addCriterion("source_type not in", values, "sourceType");
            return (Criteria) this;
        }

        public Criteria andSourceTypeBetween(Integer value1, Integer value2) {
            addCriterion("source_type between", value1, value2, "sourceType");
            return (Criteria) this;
        }

        public Criteria andSourceTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("source_type not between", value1, value2, "sourceType");
            return (Criteria) this;
        }

        public Criteria andProvinceCodeIsNull() {
            addCriterion("province_code is null");
            return (Criteria) this;
        }

        public Criteria andProvinceCodeIsNotNull() {
            addCriterion("province_code is not null");
            return (Criteria) this;
        }

        public Criteria andProvinceCodeEqualTo(Long value) {
            addCriterion("province_code =", value, "provinceCode");
            return (Criteria) this;
        }

        public Criteria andProvinceCodeNotEqualTo(Long value) {
            addCriterion("province_code <>", value, "provinceCode");
            return (Criteria) this;
        }

        public Criteria andProvinceCodeGreaterThan(Long value) {
            addCriterion("province_code >", value, "provinceCode");
            return (Criteria) this;
        }

        public Criteria andProvinceCodeGreaterThanOrEqualTo(Long value) {
            addCriterion("province_code >=", value, "provinceCode");
            return (Criteria) this;
        }

        public Criteria andProvinceCodeLessThan(Long value) {
            addCriterion("province_code <", value, "provinceCode");
            return (Criteria) this;
        }

        public Criteria andProvinceCodeLessThanOrEqualTo(Long value) {
            addCriterion("province_code <=", value, "provinceCode");
            return (Criteria) this;
        }

        public Criteria andProvinceCodeIn(List<Long> values) {
            addCriterion("province_code in", values, "provinceCode");
            return (Criteria) this;
        }

        public Criteria andProvinceCodeNotIn(List<Long> values) {
            addCriterion("province_code not in", values, "provinceCode");
            return (Criteria) this;
        }

        public Criteria andProvinceCodeBetween(Long value1, Long value2) {
            addCriterion("province_code between", value1, value2, "provinceCode");
            return (Criteria) this;
        }

        public Criteria andProvinceCodeNotBetween(Long value1, Long value2) {
            addCriterion("province_code not between", value1, value2, "provinceCode");
            return (Criteria) this;
        }

        public Criteria andProvinceNameIsNull() {
            addCriterion("province_name is null");
            return (Criteria) this;
        }

        public Criteria andProvinceNameIsNotNull() {
            addCriterion("province_name is not null");
            return (Criteria) this;
        }

        public Criteria andProvinceNameEqualTo(String value) {
            addCriterion("province_name =", value, "provinceName");
            return (Criteria) this;
        }

        public Criteria andProvinceNameNotEqualTo(String value) {
            addCriterion("province_name <>", value, "provinceName");
            return (Criteria) this;
        }

        public Criteria andProvinceNameGreaterThan(String value) {
            addCriterion("province_name >", value, "provinceName");
            return (Criteria) this;
        }

        public Criteria andProvinceNameGreaterThanOrEqualTo(String value) {
            addCriterion("province_name >=", value, "provinceName");
            return (Criteria) this;
        }

        public Criteria andProvinceNameLessThan(String value) {
            addCriterion("province_name <", value, "provinceName");
            return (Criteria) this;
        }

        public Criteria andProvinceNameLessThanOrEqualTo(String value) {
            addCriterion("province_name <=", value, "provinceName");
            return (Criteria) this;
        }

        public Criteria andProvinceNameLike(String value) {
            addCriterion("province_name like", value, "provinceName");
            return (Criteria) this;
        }

        public Criteria andProvinceNameNotLike(String value) {
            addCriterion("province_name not like", value, "provinceName");
            return (Criteria) this;
        }

        public Criteria andProvinceNameIn(List<String> values) {
            addCriterion("province_name in", values, "provinceName");
            return (Criteria) this;
        }

        public Criteria andProvinceNameNotIn(List<String> values) {
            addCriterion("province_name not in", values, "provinceName");
            return (Criteria) this;
        }

        public Criteria andProvinceNameBetween(String value1, String value2) {
            addCriterion("province_name between", value1, value2, "provinceName");
            return (Criteria) this;
        }

        public Criteria andProvinceNameNotBetween(String value1, String value2) {
            addCriterion("province_name not between", value1, value2, "provinceName");
            return (Criteria) this;
        }

        public Criteria andCityCodeIsNull() {
            addCriterion("city_code is null");
            return (Criteria) this;
        }

        public Criteria andCityCodeIsNotNull() {
            addCriterion("city_code is not null");
            return (Criteria) this;
        }

        public Criteria andCityCodeEqualTo(Long value) {
            addCriterion("city_code =", value, "cityCode");
            return (Criteria) this;
        }

        public Criteria andCityCodeNotEqualTo(Long value) {
            addCriterion("city_code <>", value, "cityCode");
            return (Criteria) this;
        }

        public Criteria andCityCodeGreaterThan(Long value) {
            addCriterion("city_code >", value, "cityCode");
            return (Criteria) this;
        }

        public Criteria andCityCodeGreaterThanOrEqualTo(Long value) {
            addCriterion("city_code >=", value, "cityCode");
            return (Criteria) this;
        }

        public Criteria andCityCodeLessThan(Long value) {
            addCriterion("city_code <", value, "cityCode");
            return (Criteria) this;
        }

        public Criteria andCityCodeLessThanOrEqualTo(Long value) {
            addCriterion("city_code <=", value, "cityCode");
            return (Criteria) this;
        }

        public Criteria andCityCodeIn(List<Long> values) {
            addCriterion("city_code in", values, "cityCode");
            return (Criteria) this;
        }

        public Criteria andCityCodeNotIn(List<Long> values) {
            addCriterion("city_code not in", values, "cityCode");
            return (Criteria) this;
        }

        public Criteria andCityCodeBetween(Long value1, Long value2) {
            addCriterion("city_code between", value1, value2, "cityCode");
            return (Criteria) this;
        }

        public Criteria andCityCodeNotBetween(Long value1, Long value2) {
            addCriterion("city_code not between", value1, value2, "cityCode");
            return (Criteria) this;
        }

        public Criteria andCityNameIsNull() {
            addCriterion("city_name is null");
            return (Criteria) this;
        }

        public Criteria andCityNameIsNotNull() {
            addCriterion("city_name is not null");
            return (Criteria) this;
        }

        public Criteria andCityNameEqualTo(String value) {
            addCriterion("city_name =", value, "cityName");
            return (Criteria) this;
        }

        public Criteria andCityNameNotEqualTo(String value) {
            addCriterion("city_name <>", value, "cityName");
            return (Criteria) this;
        }

        public Criteria andCityNameGreaterThan(String value) {
            addCriterion("city_name >", value, "cityName");
            return (Criteria) this;
        }

        public Criteria andCityNameGreaterThanOrEqualTo(String value) {
            addCriterion("city_name >=", value, "cityName");
            return (Criteria) this;
        }

        public Criteria andCityNameLessThan(String value) {
            addCriterion("city_name <", value, "cityName");
            return (Criteria) this;
        }

        public Criteria andCityNameLessThanOrEqualTo(String value) {
            addCriterion("city_name <=", value, "cityName");
            return (Criteria) this;
        }

        public Criteria andCityNameLike(String value) {
            addCriterion("city_name like", value, "cityName");
            return (Criteria) this;
        }

        public Criteria andCityNameNotLike(String value) {
            addCriterion("city_name not like", value, "cityName");
            return (Criteria) this;
        }

        public Criteria andCityNameIn(List<String> values) {
            addCriterion("city_name in", values, "cityName");
            return (Criteria) this;
        }

        public Criteria andCityNameNotIn(List<String> values) {
            addCriterion("city_name not in", values, "cityName");
            return (Criteria) this;
        }

        public Criteria andCityNameBetween(String value1, String value2) {
            addCriterion("city_name between", value1, value2, "cityName");
            return (Criteria) this;
        }

        public Criteria andCityNameNotBetween(String value1, String value2) {
            addCriterion("city_name not between", value1, value2, "cityName");
            return (Criteria) this;
        }

        public Criteria andAreaCodeIsNull() {
            addCriterion("area_code is null");
            return (Criteria) this;
        }

        public Criteria andAreaCodeIsNotNull() {
            addCriterion("area_code is not null");
            return (Criteria) this;
        }

        public Criteria andAreaCodeEqualTo(Long value) {
            addCriterion("area_code =", value, "areaCode");
            return (Criteria) this;
        }

        public Criteria andAreaCodeNotEqualTo(Long value) {
            addCriterion("area_code <>", value, "areaCode");
            return (Criteria) this;
        }

        public Criteria andAreaCodeGreaterThan(Long value) {
            addCriterion("area_code >", value, "areaCode");
            return (Criteria) this;
        }

        public Criteria andAreaCodeGreaterThanOrEqualTo(Long value) {
            addCriterion("area_code >=", value, "areaCode");
            return (Criteria) this;
        }

        public Criteria andAreaCodeLessThan(Long value) {
            addCriterion("area_code <", value, "areaCode");
            return (Criteria) this;
        }

        public Criteria andAreaCodeLessThanOrEqualTo(Long value) {
            addCriterion("area_code <=", value, "areaCode");
            return (Criteria) this;
        }

        public Criteria andAreaCodeIn(List<Long> values) {
            addCriterion("area_code in", values, "areaCode");
            return (Criteria) this;
        }

        public Criteria andAreaCodeNotIn(List<Long> values) {
            addCriterion("area_code not in", values, "areaCode");
            return (Criteria) this;
        }

        public Criteria andAreaCodeBetween(Long value1, Long value2) {
            addCriterion("area_code between", value1, value2, "areaCode");
            return (Criteria) this;
        }

        public Criteria andAreaCodeNotBetween(Long value1, Long value2) {
            addCriterion("area_code not between", value1, value2, "areaCode");
            return (Criteria) this;
        }

        public Criteria andAreaNameIsNull() {
            addCriterion("area_name is null");
            return (Criteria) this;
        }

        public Criteria andAreaNameIsNotNull() {
            addCriterion("area_name is not null");
            return (Criteria) this;
        }

        public Criteria andAreaNameEqualTo(String value) {
            addCriterion("area_name =", value, "areaName");
            return (Criteria) this;
        }

        public Criteria andAreaNameNotEqualTo(String value) {
            addCriterion("area_name <>", value, "areaName");
            return (Criteria) this;
        }

        public Criteria andAreaNameGreaterThan(String value) {
            addCriterion("area_name >", value, "areaName");
            return (Criteria) this;
        }

        public Criteria andAreaNameGreaterThanOrEqualTo(String value) {
            addCriterion("area_name >=", value, "areaName");
            return (Criteria) this;
        }

        public Criteria andAreaNameLessThan(String value) {
            addCriterion("area_name <", value, "areaName");
            return (Criteria) this;
        }

        public Criteria andAreaNameLessThanOrEqualTo(String value) {
            addCriterion("area_name <=", value, "areaName");
            return (Criteria) this;
        }

        public Criteria andAreaNameLike(String value) {
            addCriterion("area_name like", value, "areaName");
            return (Criteria) this;
        }

        public Criteria andAreaNameNotLike(String value) {
            addCriterion("area_name not like", value, "areaName");
            return (Criteria) this;
        }

        public Criteria andAreaNameIn(List<String> values) {
            addCriterion("area_name in", values, "areaName");
            return (Criteria) this;
        }

        public Criteria andAreaNameNotIn(List<String> values) {
            addCriterion("area_name not in", values, "areaName");
            return (Criteria) this;
        }

        public Criteria andAreaNameBetween(String value1, String value2) {
            addCriterion("area_name between", value1, value2, "areaName");
            return (Criteria) this;
        }

        public Criteria andAreaNameNotBetween(String value1, String value2) {
            addCriterion("area_name not between", value1, value2, "areaName");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneIdIsNull() {
            addCriterion("oil_price_zone_id is null");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneIdIsNotNull() {
            addCriterion("oil_price_zone_id is not null");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneIdEqualTo(Integer value) {
            addCriterion("oil_price_zone_id =", value, "oilPriceZoneId");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneIdNotEqualTo(Integer value) {
            addCriterion("oil_price_zone_id <>", value, "oilPriceZoneId");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneIdGreaterThan(Integer value) {
            addCriterion("oil_price_zone_id >", value, "oilPriceZoneId");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("oil_price_zone_id >=", value, "oilPriceZoneId");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneIdLessThan(Integer value) {
            addCriterion("oil_price_zone_id <", value, "oilPriceZoneId");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneIdLessThanOrEqualTo(Integer value) {
            addCriterion("oil_price_zone_id <=", value, "oilPriceZoneId");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneIdIn(List<Integer> values) {
            addCriterion("oil_price_zone_id in", values, "oilPriceZoneId");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneIdNotIn(List<Integer> values) {
            addCriterion("oil_price_zone_id not in", values, "oilPriceZoneId");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneIdBetween(Integer value1, Integer value2) {
            addCriterion("oil_price_zone_id between", value1, value2, "oilPriceZoneId");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneIdNotBetween(Integer value1, Integer value2) {
            addCriterion("oil_price_zone_id not between", value1, value2, "oilPriceZoneId");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneNameIsNull() {
            addCriterion("oil_price_zone_name is null");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneNameIsNotNull() {
            addCriterion("oil_price_zone_name is not null");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneNameEqualTo(String value) {
            addCriterion("oil_price_zone_name =", value, "oilPriceZoneName");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneNameNotEqualTo(String value) {
            addCriterion("oil_price_zone_name <>", value, "oilPriceZoneName");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneNameGreaterThan(String value) {
            addCriterion("oil_price_zone_name >", value, "oilPriceZoneName");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneNameGreaterThanOrEqualTo(String value) {
            addCriterion("oil_price_zone_name >=", value, "oilPriceZoneName");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneNameLessThan(String value) {
            addCriterion("oil_price_zone_name <", value, "oilPriceZoneName");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneNameLessThanOrEqualTo(String value) {
            addCriterion("oil_price_zone_name <=", value, "oilPriceZoneName");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneNameLike(String value) {
            addCriterion("oil_price_zone_name like", value, "oilPriceZoneName");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneNameNotLike(String value) {
            addCriterion("oil_price_zone_name not like", value, "oilPriceZoneName");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneNameIn(List<String> values) {
            addCriterion("oil_price_zone_name in", values, "oilPriceZoneName");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneNameNotIn(List<String> values) {
            addCriterion("oil_price_zone_name not in", values, "oilPriceZoneName");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneNameBetween(String value1, String value2) {
            addCriterion("oil_price_zone_name between", value1, value2, "oilPriceZoneName");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneNameNotBetween(String value1, String value2) {
            addCriterion("oil_price_zone_name not between", value1, value2, "oilPriceZoneName");
            return (Criteria) this;
        }

        public Criteria andChainBrandIdIsNull() {
            addCriterion("chain_brand_id is null");
            return (Criteria) this;
        }

        public Criteria andChainBrandIdIsNotNull() {
            addCriterion("chain_brand_id is not null");
            return (Criteria) this;
        }

        public Criteria andChainBrandIdEqualTo(Long value) {
            addCriterion("chain_brand_id =", value, "chainBrandId");
            return (Criteria) this;
        }

        public Criteria andChainBrandIdNotEqualTo(Long value) {
            addCriterion("chain_brand_id <>", value, "chainBrandId");
            return (Criteria) this;
        }

        public Criteria andChainBrandIdGreaterThan(Long value) {
            addCriterion("chain_brand_id >", value, "chainBrandId");
            return (Criteria) this;
        }

        public Criteria andChainBrandIdGreaterThanOrEqualTo(Long value) {
            addCriterion("chain_brand_id >=", value, "chainBrandId");
            return (Criteria) this;
        }

        public Criteria andChainBrandIdLessThan(Long value) {
            addCriterion("chain_brand_id <", value, "chainBrandId");
            return (Criteria) this;
        }

        public Criteria andChainBrandIdLessThanOrEqualTo(Long value) {
            addCriterion("chain_brand_id <=", value, "chainBrandId");
            return (Criteria) this;
        }

        public Criteria andChainBrandIdIn(List<Long> values) {
            addCriterion("chain_brand_id in", values, "chainBrandId");
            return (Criteria) this;
        }

        public Criteria andChainBrandIdNotIn(List<Long> values) {
            addCriterion("chain_brand_id not in", values, "chainBrandId");
            return (Criteria) this;
        }

        public Criteria andChainBrandIdBetween(Long value1, Long value2) {
            addCriterion("chain_brand_id between", value1, value2, "chainBrandId");
            return (Criteria) this;
        }

        public Criteria andChainBrandIdNotBetween(Long value1, Long value2) {
            addCriterion("chain_brand_id not between", value1, value2, "chainBrandId");
            return (Criteria) this;
        }

        public Criteria andChainBrandNameIsNull() {
            addCriterion("chain_brand_name is null");
            return (Criteria) this;
        }

        public Criteria andChainBrandNameIsNotNull() {
            addCriterion("chain_brand_name is not null");
            return (Criteria) this;
        }

        public Criteria andChainBrandNameEqualTo(String value) {
            addCriterion("chain_brand_name =", value, "chainBrandName");
            return (Criteria) this;
        }

        public Criteria andChainBrandNameNotEqualTo(String value) {
            addCriterion("chain_brand_name <>", value, "chainBrandName");
            return (Criteria) this;
        }

        public Criteria andChainBrandNameGreaterThan(String value) {
            addCriterion("chain_brand_name >", value, "chainBrandName");
            return (Criteria) this;
        }

        public Criteria andChainBrandNameGreaterThanOrEqualTo(String value) {
            addCriterion("chain_brand_name >=", value, "chainBrandName");
            return (Criteria) this;
        }

        public Criteria andChainBrandNameLessThan(String value) {
            addCriterion("chain_brand_name <", value, "chainBrandName");
            return (Criteria) this;
        }

        public Criteria andChainBrandNameLessThanOrEqualTo(String value) {
            addCriterion("chain_brand_name <=", value, "chainBrandName");
            return (Criteria) this;
        }

        public Criteria andChainBrandNameLike(String value) {
            addCriterion("chain_brand_name like", value, "chainBrandName");
            return (Criteria) this;
        }

        public Criteria andChainBrandNameNotLike(String value) {
            addCriterion("chain_brand_name not like", value, "chainBrandName");
            return (Criteria) this;
        }

        public Criteria andChainBrandNameIn(List<String> values) {
            addCriterion("chain_brand_name in", values, "chainBrandName");
            return (Criteria) this;
        }

        public Criteria andChainBrandNameNotIn(List<String> values) {
            addCriterion("chain_brand_name not in", values, "chainBrandName");
            return (Criteria) this;
        }

        public Criteria andChainBrandNameBetween(String value1, String value2) {
            addCriterion("chain_brand_name between", value1, value2, "chainBrandName");
            return (Criteria) this;
        }

        public Criteria andChainBrandNameNotBetween(String value1, String value2) {
            addCriterion("chain_brand_name not between", value1, value2, "chainBrandName");
            return (Criteria) this;
        }

        public Criteria andChainBrandSettleTypeIsNull() {
            addCriterion("chain_brand_settle_type is null");
            return (Criteria) this;
        }

        public Criteria andChainBrandSettleTypeIsNotNull() {
            addCriterion("chain_brand_settle_type is not null");
            return (Criteria) this;
        }

        public Criteria andChainBrandSettleTypeEqualTo(Integer value) {
            addCriterion("chain_brand_settle_type =", value, "chainBrandSettleType");
            return (Criteria) this;
        }

        public Criteria andChainBrandSettleTypeNotEqualTo(Integer value) {
            addCriterion("chain_brand_settle_type <>", value, "chainBrandSettleType");
            return (Criteria) this;
        }

        public Criteria andChainBrandSettleTypeGreaterThan(Integer value) {
            addCriterion("chain_brand_settle_type >", value, "chainBrandSettleType");
            return (Criteria) this;
        }

        public Criteria andChainBrandSettleTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("chain_brand_settle_type >=", value, "chainBrandSettleType");
            return (Criteria) this;
        }

        public Criteria andChainBrandSettleTypeLessThan(Integer value) {
            addCriterion("chain_brand_settle_type <", value, "chainBrandSettleType");
            return (Criteria) this;
        }

        public Criteria andChainBrandSettleTypeLessThanOrEqualTo(Integer value) {
            addCriterion("chain_brand_settle_type <=", value, "chainBrandSettleType");
            return (Criteria) this;
        }

        public Criteria andChainBrandSettleTypeIn(List<Integer> values) {
            addCriterion("chain_brand_settle_type in", values, "chainBrandSettleType");
            return (Criteria) this;
        }

        public Criteria andChainBrandSettleTypeNotIn(List<Integer> values) {
            addCriterion("chain_brand_settle_type not in", values, "chainBrandSettleType");
            return (Criteria) this;
        }

        public Criteria andChainBrandSettleTypeBetween(Integer value1, Integer value2) {
            addCriterion("chain_brand_settle_type between", value1, value2, "chainBrandSettleType");
            return (Criteria) this;
        }

        public Criteria andChainBrandSettleTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("chain_brand_settle_type not between", value1, value2, "chainBrandSettleType");
            return (Criteria) this;
        }

        public Criteria andMerNoIsNull() {
            addCriterion("mer_no is null");
            return (Criteria) this;
        }

        public Criteria andMerNoIsNotNull() {
            addCriterion("mer_no is not null");
            return (Criteria) this;
        }

        public Criteria andMerNoEqualTo(String value) {
            addCriterion("mer_no =", value, "merNo");
            return (Criteria) this;
        }

        public Criteria andMerNoNotEqualTo(String value) {
            addCriterion("mer_no <>", value, "merNo");
            return (Criteria) this;
        }

        public Criteria andMerNoGreaterThan(String value) {
            addCriterion("mer_no >", value, "merNo");
            return (Criteria) this;
        }

        public Criteria andMerNoGreaterThanOrEqualTo(String value) {
            addCriterion("mer_no >=", value, "merNo");
            return (Criteria) this;
        }

        public Criteria andMerNoLessThan(String value) {
            addCriterion("mer_no <", value, "merNo");
            return (Criteria) this;
        }

        public Criteria andMerNoLessThanOrEqualTo(String value) {
            addCriterion("mer_no <=", value, "merNo");
            return (Criteria) this;
        }

        public Criteria andMerNoLike(String value) {
            addCriterion("mer_no like", value, "merNo");
            return (Criteria) this;
        }

        public Criteria andMerNoNotLike(String value) {
            addCriterion("mer_no not like", value, "merNo");
            return (Criteria) this;
        }

        public Criteria andMerNoIn(List<String> values) {
            addCriterion("mer_no in", values, "merNo");
            return (Criteria) this;
        }

        public Criteria andMerNoNotIn(List<String> values) {
            addCriterion("mer_no not in", values, "merNo");
            return (Criteria) this;
        }

        public Criteria andMerNoBetween(String value1, String value2) {
            addCriterion("mer_no between", value1, value2, "merNo");
            return (Criteria) this;
        }

        public Criteria andMerNoNotBetween(String value1, String value2) {
            addCriterion("mer_no not between", value1, value2, "merNo");
            return (Criteria) this;
        }

        public Criteria andMerLogoIsNull() {
            addCriterion("mer_logo is null");
            return (Criteria) this;
        }

        public Criteria andMerLogoIsNotNull() {
            addCriterion("mer_logo is not null");
            return (Criteria) this;
        }

        public Criteria andMerLogoEqualTo(String value) {
            addCriterion("mer_logo =", value, "merLogo");
            return (Criteria) this;
        }

        public Criteria andMerLogoNotEqualTo(String value) {
            addCriterion("mer_logo <>", value, "merLogo");
            return (Criteria) this;
        }

        public Criteria andMerLogoGreaterThan(String value) {
            addCriterion("mer_logo >", value, "merLogo");
            return (Criteria) this;
        }

        public Criteria andMerLogoGreaterThanOrEqualTo(String value) {
            addCriterion("mer_logo >=", value, "merLogo");
            return (Criteria) this;
        }

        public Criteria andMerLogoLessThan(String value) {
            addCriterion("mer_logo <", value, "merLogo");
            return (Criteria) this;
        }

        public Criteria andMerLogoLessThanOrEqualTo(String value) {
            addCriterion("mer_logo <=", value, "merLogo");
            return (Criteria) this;
        }

        public Criteria andMerLogoLike(String value) {
            addCriterion("mer_logo like", value, "merLogo");
            return (Criteria) this;
        }

        public Criteria andMerLogoNotLike(String value) {
            addCriterion("mer_logo not like", value, "merLogo");
            return (Criteria) this;
        }

        public Criteria andMerLogoIn(List<String> values) {
            addCriterion("mer_logo in", values, "merLogo");
            return (Criteria) this;
        }

        public Criteria andMerLogoNotIn(List<String> values) {
            addCriterion("mer_logo not in", values, "merLogo");
            return (Criteria) this;
        }

        public Criteria andMerLogoBetween(String value1, String value2) {
            addCriterion("mer_logo between", value1, value2, "merLogo");
            return (Criteria) this;
        }

        public Criteria andMerLogoNotBetween(String value1, String value2) {
            addCriterion("mer_logo not between", value1, value2, "merLogo");
            return (Criteria) this;
        }

        public Criteria andMerNameIsNull() {
            addCriterion("mer_name is null");
            return (Criteria) this;
        }

        public Criteria andMerNameIsNotNull() {
            addCriterion("mer_name is not null");
            return (Criteria) this;
        }

        public Criteria andMerNameEqualTo(String value) {
            addCriterion("mer_name =", value, "merName");
            return (Criteria) this;
        }

        public Criteria andMerNameNotEqualTo(String value) {
            addCriterion("mer_name <>", value, "merName");
            return (Criteria) this;
        }

        public Criteria andMerNameGreaterThan(String value) {
            addCriterion("mer_name >", value, "merName");
            return (Criteria) this;
        }

        public Criteria andMerNameGreaterThanOrEqualTo(String value) {
            addCriterion("mer_name >=", value, "merName");
            return (Criteria) this;
        }

        public Criteria andMerNameLessThan(String value) {
            addCriterion("mer_name <", value, "merName");
            return (Criteria) this;
        }

        public Criteria andMerNameLessThanOrEqualTo(String value) {
            addCriterion("mer_name <=", value, "merName");
            return (Criteria) this;
        }

        public Criteria andMerNameLike(String value) {
            addCriterion("mer_name like", value, "merName");
            return (Criteria) this;
        }

        public Criteria andMerNameNotLike(String value) {
            addCriterion("mer_name not like", value, "merName");
            return (Criteria) this;
        }

        public Criteria andMerNameIn(List<String> values) {
            addCriterion("mer_name in", values, "merName");
            return (Criteria) this;
        }

        public Criteria andMerNameNotIn(List<String> values) {
            addCriterion("mer_name not in", values, "merName");
            return (Criteria) this;
        }

        public Criteria andMerNameBetween(String value1, String value2) {
            addCriterion("mer_name between", value1, value2, "merName");
            return (Criteria) this;
        }

        public Criteria andMerNameNotBetween(String value1, String value2) {
            addCriterion("mer_name not between", value1, value2, "merName");
            return (Criteria) this;
        }

        public Criteria andContactsNameIsNull() {
            addCriterion("contacts_name is null");
            return (Criteria) this;
        }

        public Criteria andContactsNameIsNotNull() {
            addCriterion("contacts_name is not null");
            return (Criteria) this;
        }

        public Criteria andContactsNameEqualTo(String value) {
            addCriterion("contacts_name =", value, "contactsName");
            return (Criteria) this;
        }

        public Criteria andContactsNameNotEqualTo(String value) {
            addCriterion("contacts_name <>", value, "contactsName");
            return (Criteria) this;
        }

        public Criteria andContactsNameGreaterThan(String value) {
            addCriterion("contacts_name >", value, "contactsName");
            return (Criteria) this;
        }

        public Criteria andContactsNameGreaterThanOrEqualTo(String value) {
            addCriterion("contacts_name >=", value, "contactsName");
            return (Criteria) this;
        }

        public Criteria andContactsNameLessThan(String value) {
            addCriterion("contacts_name <", value, "contactsName");
            return (Criteria) this;
        }

        public Criteria andContactsNameLessThanOrEqualTo(String value) {
            addCriterion("contacts_name <=", value, "contactsName");
            return (Criteria) this;
        }

        public Criteria andContactsNameLike(String value) {
            addCriterion("contacts_name like", value, "contactsName");
            return (Criteria) this;
        }

        public Criteria andContactsNameNotLike(String value) {
            addCriterion("contacts_name not like", value, "contactsName");
            return (Criteria) this;
        }

        public Criteria andContactsNameIn(List<String> values) {
            addCriterion("contacts_name in", values, "contactsName");
            return (Criteria) this;
        }

        public Criteria andContactsNameNotIn(List<String> values) {
            addCriterion("contacts_name not in", values, "contactsName");
            return (Criteria) this;
        }

        public Criteria andContactsNameBetween(String value1, String value2) {
            addCriterion("contacts_name between", value1, value2, "contactsName");
            return (Criteria) this;
        }

        public Criteria andContactsNameNotBetween(String value1, String value2) {
            addCriterion("contacts_name not between", value1, value2, "contactsName");
            return (Criteria) this;
        }

        public Criteria andContactsTelIsNull() {
            addCriterion("contacts_tel is null");
            return (Criteria) this;
        }

        public Criteria andContactsTelIsNotNull() {
            addCriterion("contacts_tel is not null");
            return (Criteria) this;
        }

        public Criteria andContactsTelEqualTo(String value) {
            addCriterion("contacts_tel =", value, "contactsTel");
            return (Criteria) this;
        }

        public Criteria andContactsTelNotEqualTo(String value) {
            addCriterion("contacts_tel <>", value, "contactsTel");
            return (Criteria) this;
        }

        public Criteria andContactsTelGreaterThan(String value) {
            addCriterion("contacts_tel >", value, "contactsTel");
            return (Criteria) this;
        }

        public Criteria andContactsTelGreaterThanOrEqualTo(String value) {
            addCriterion("contacts_tel >=", value, "contactsTel");
            return (Criteria) this;
        }

        public Criteria andContactsTelLessThan(String value) {
            addCriterion("contacts_tel <", value, "contactsTel");
            return (Criteria) this;
        }

        public Criteria andContactsTelLessThanOrEqualTo(String value) {
            addCriterion("contacts_tel <=", value, "contactsTel");
            return (Criteria) this;
        }

        public Criteria andContactsTelLike(String value) {
            addCriterion("contacts_tel like", value, "contactsTel");
            return (Criteria) this;
        }

        public Criteria andContactsTelNotLike(String value) {
            addCriterion("contacts_tel not like", value, "contactsTel");
            return (Criteria) this;
        }

        public Criteria andContactsTelIn(List<String> values) {
            addCriterion("contacts_tel in", values, "contactsTel");
            return (Criteria) this;
        }

        public Criteria andContactsTelNotIn(List<String> values) {
            addCriterion("contacts_tel not in", values, "contactsTel");
            return (Criteria) this;
        }

        public Criteria andContactsTelBetween(String value1, String value2) {
            addCriterion("contacts_tel between", value1, value2, "contactsTel");
            return (Criteria) this;
        }

        public Criteria andContactsTelNotBetween(String value1, String value2) {
            addCriterion("contacts_tel not between", value1, value2, "contactsTel");
            return (Criteria) this;
        }

        public Criteria andCustomerServiceTelIsNull() {
            addCriterion("customer_service_tel is null");
            return (Criteria) this;
        }

        public Criteria andCustomerServiceTelIsNotNull() {
            addCriterion("customer_service_tel is not null");
            return (Criteria) this;
        }

        public Criteria andCustomerServiceTelEqualTo(String value) {
            addCriterion("customer_service_tel =", value, "customerServiceTel");
            return (Criteria) this;
        }

        public Criteria andCustomerServiceTelNotEqualTo(String value) {
            addCriterion("customer_service_tel <>", value, "customerServiceTel");
            return (Criteria) this;
        }

        public Criteria andCustomerServiceTelGreaterThan(String value) {
            addCriterion("customer_service_tel >", value, "customerServiceTel");
            return (Criteria) this;
        }

        public Criteria andCustomerServiceTelGreaterThanOrEqualTo(String value) {
            addCriterion("customer_service_tel >=", value, "customerServiceTel");
            return (Criteria) this;
        }

        public Criteria andCustomerServiceTelLessThan(String value) {
            addCriterion("customer_service_tel <", value, "customerServiceTel");
            return (Criteria) this;
        }

        public Criteria andCustomerServiceTelLessThanOrEqualTo(String value) {
            addCriterion("customer_service_tel <=", value, "customerServiceTel");
            return (Criteria) this;
        }

        public Criteria andCustomerServiceTelLike(String value) {
            addCriterion("customer_service_tel like", value, "customerServiceTel");
            return (Criteria) this;
        }

        public Criteria andCustomerServiceTelNotLike(String value) {
            addCriterion("customer_service_tel not like", value, "customerServiceTel");
            return (Criteria) this;
        }

        public Criteria andCustomerServiceTelIn(List<String> values) {
            addCriterion("customer_service_tel in", values, "customerServiceTel");
            return (Criteria) this;
        }

        public Criteria andCustomerServiceTelNotIn(List<String> values) {
            addCriterion("customer_service_tel not in", values, "customerServiceTel");
            return (Criteria) this;
        }

        public Criteria andCustomerServiceTelBetween(String value1, String value2) {
            addCriterion("customer_service_tel between", value1, value2, "customerServiceTel");
            return (Criteria) this;
        }

        public Criteria andCustomerServiceTelNotBetween(String value1, String value2) {
            addCriterion("customer_service_tel not between", value1, value2, "customerServiceTel");
            return (Criteria) this;
        }

        public Criteria andAddressIsNull() {
            addCriterion("address is null");
            return (Criteria) this;
        }

        public Criteria andAddressIsNotNull() {
            addCriterion("address is not null");
            return (Criteria) this;
        }

        public Criteria andAddressEqualTo(String value) {
            addCriterion("address =", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressNotEqualTo(String value) {
            addCriterion("address <>", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressGreaterThan(String value) {
            addCriterion("address >", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressGreaterThanOrEqualTo(String value) {
            addCriterion("address >=", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressLessThan(String value) {
            addCriterion("address <", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressLessThanOrEqualTo(String value) {
            addCriterion("address <=", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressLike(String value) {
            addCriterion("address like", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressNotLike(String value) {
            addCriterion("address not like", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressIn(List<String> values) {
            addCriterion("address in", values, "address");
            return (Criteria) this;
        }

        public Criteria andAddressNotIn(List<String> values) {
            addCriterion("address not in", values, "address");
            return (Criteria) this;
        }

        public Criteria andAddressBetween(String value1, String value2) {
            addCriterion("address between", value1, value2, "address");
            return (Criteria) this;
        }

        public Criteria andAddressNotBetween(String value1, String value2) {
            addCriterion("address not between", value1, value2, "address");
            return (Criteria) this;
        }

        public Criteria andLongitudeIsNull() {
            addCriterion("longitude is null");
            return (Criteria) this;
        }

        public Criteria andLongitudeIsNotNull() {
            addCriterion("longitude is not null");
            return (Criteria) this;
        }

        public Criteria andLongitudeEqualTo(String value) {
            addCriterion("longitude =", value, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeNotEqualTo(String value) {
            addCriterion("longitude <>", value, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeGreaterThan(String value) {
            addCriterion("longitude >", value, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeGreaterThanOrEqualTo(String value) {
            addCriterion("longitude >=", value, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeLessThan(String value) {
            addCriterion("longitude <", value, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeLessThanOrEqualTo(String value) {
            addCriterion("longitude <=", value, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeLike(String value) {
            addCriterion("longitude like", value, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeNotLike(String value) {
            addCriterion("longitude not like", value, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeIn(List<String> values) {
            addCriterion("longitude in", values, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeNotIn(List<String> values) {
            addCriterion("longitude not in", values, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeBetween(String value1, String value2) {
            addCriterion("longitude between", value1, value2, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeNotBetween(String value1, String value2) {
            addCriterion("longitude not between", value1, value2, "longitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeIsNull() {
            addCriterion("latitude is null");
            return (Criteria) this;
        }

        public Criteria andLatitudeIsNotNull() {
            addCriterion("latitude is not null");
            return (Criteria) this;
        }

        public Criteria andLatitudeEqualTo(String value) {
            addCriterion("latitude =", value, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeNotEqualTo(String value) {
            addCriterion("latitude <>", value, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeGreaterThan(String value) {
            addCriterion("latitude >", value, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeGreaterThanOrEqualTo(String value) {
            addCriterion("latitude >=", value, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeLessThan(String value) {
            addCriterion("latitude <", value, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeLessThanOrEqualTo(String value) {
            addCriterion("latitude <=", value, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeLike(String value) {
            addCriterion("latitude like", value, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeNotLike(String value) {
            addCriterion("latitude not like", value, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeIn(List<String> values) {
            addCriterion("latitude in", values, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeNotIn(List<String> values) {
            addCriterion("latitude not in", values, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeBetween(String value1, String value2) {
            addCriterion("latitude between", value1, value2, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeNotBetween(String value1, String value2) {
            addCriterion("latitude not between", value1, value2, "latitude");
            return (Criteria) this;
        }

        public Criteria andMerLabelIsNull() {
            addCriterion("mer_label is null");
            return (Criteria) this;
        }

        public Criteria andMerLabelIsNotNull() {
            addCriterion("mer_label is not null");
            return (Criteria) this;
        }

        public Criteria andMerLabelEqualTo(String value) {
            addCriterion("mer_label =", value, "merLabel");
            return (Criteria) this;
        }

        public Criteria andMerLabelNotEqualTo(String value) {
            addCriterion("mer_label <>", value, "merLabel");
            return (Criteria) this;
        }

        public Criteria andMerLabelGreaterThan(String value) {
            addCriterion("mer_label >", value, "merLabel");
            return (Criteria) this;
        }

        public Criteria andMerLabelGreaterThanOrEqualTo(String value) {
            addCriterion("mer_label >=", value, "merLabel");
            return (Criteria) this;
        }

        public Criteria andMerLabelLessThan(String value) {
            addCriterion("mer_label <", value, "merLabel");
            return (Criteria) this;
        }

        public Criteria andMerLabelLessThanOrEqualTo(String value) {
            addCriterion("mer_label <=", value, "merLabel");
            return (Criteria) this;
        }

        public Criteria andMerLabelLike(String value) {
            addCriterion("mer_label like", value, "merLabel");
            return (Criteria) this;
        }

        public Criteria andMerLabelNotLike(String value) {
            addCriterion("mer_label not like", value, "merLabel");
            return (Criteria) this;
        }

        public Criteria andMerLabelIn(List<String> values) {
            addCriterion("mer_label in", values, "merLabel");
            return (Criteria) this;
        }

        public Criteria andMerLabelNotIn(List<String> values) {
            addCriterion("mer_label not in", values, "merLabel");
            return (Criteria) this;
        }

        public Criteria andMerLabelBetween(String value1, String value2) {
            addCriterion("mer_label between", value1, value2, "merLabel");
            return (Criteria) this;
        }

        public Criteria andMerLabelNotBetween(String value1, String value2) {
            addCriterion("mer_label not between", value1, value2, "merLabel");
            return (Criteria) this;
        }

        public Criteria andListShowIsNull() {
            addCriterion("list_show is null");
            return (Criteria) this;
        }

        public Criteria andListShowIsNotNull() {
            addCriterion("list_show is not null");
            return (Criteria) this;
        }

        public Criteria andListShowEqualTo(Boolean value) {
            addCriterion("list_show =", value, "listShow");
            return (Criteria) this;
        }

        public Criteria andListShowNotEqualTo(Boolean value) {
            addCriterion("list_show <>", value, "listShow");
            return (Criteria) this;
        }

        public Criteria andListShowGreaterThan(Boolean value) {
            addCriterion("list_show >", value, "listShow");
            return (Criteria) this;
        }

        public Criteria andListShowGreaterThanOrEqualTo(Boolean value) {
            addCriterion("list_show >=", value, "listShow");
            return (Criteria) this;
        }

        public Criteria andListShowLessThan(Boolean value) {
            addCriterion("list_show <", value, "listShow");
            return (Criteria) this;
        }

        public Criteria andListShowLessThanOrEqualTo(Boolean value) {
            addCriterion("list_show <=", value, "listShow");
            return (Criteria) this;
        }

        public Criteria andListShowIn(List<Boolean> values) {
            addCriterion("list_show in", values, "listShow");
            return (Criteria) this;
        }

        public Criteria andListShowNotIn(List<Boolean> values) {
            addCriterion("list_show not in", values, "listShow");
            return (Criteria) this;
        }

        public Criteria andListShowBetween(Boolean value1, Boolean value2) {
            addCriterion("list_show between", value1, value2, "listShow");
            return (Criteria) this;
        }

        public Criteria andListShowNotBetween(Boolean value1, Boolean value2) {
            addCriterion("list_show not between", value1, value2, "listShow");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("`status` is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("`status` is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(Integer value) {
            addCriterion("`status` =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(Integer value) {
            addCriterion("`status` <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(Integer value) {
            addCriterion("`status` >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("`status` >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(Integer value) {
            addCriterion("`status` <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(Integer value) {
            addCriterion("`status` <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<Integer> values) {
            addCriterion("`status` in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<Integer> values) {
            addCriterion("`status` not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(Integer value1, Integer value2) {
            addCriterion("`status` between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("`status` not between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("update_time is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("update_time is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("update_time =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("update_time <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("update_time >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("update_time >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("update_time <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("update_time <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("update_time in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("update_time not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("update_time between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("update_time not between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andExt1IsNull() {
            addCriterion("ext_1 is null");
            return (Criteria) this;
        }

        public Criteria andExt1IsNotNull() {
            addCriterion("ext_1 is not null");
            return (Criteria) this;
        }

        public Criteria andExt1EqualTo(String value) {
            addCriterion("ext_1 =", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotEqualTo(String value) {
            addCriterion("ext_1 <>", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1GreaterThan(String value) {
            addCriterion("ext_1 >", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1GreaterThanOrEqualTo(String value) {
            addCriterion("ext_1 >=", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1LessThan(String value) {
            addCriterion("ext_1 <", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1LessThanOrEqualTo(String value) {
            addCriterion("ext_1 <=", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1Like(String value) {
            addCriterion("ext_1 like", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotLike(String value) {
            addCriterion("ext_1 not like", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1In(List<String> values) {
            addCriterion("ext_1 in", values, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotIn(List<String> values) {
            addCriterion("ext_1 not in", values, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1Between(String value1, String value2) {
            addCriterion("ext_1 between", value1, value2, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotBetween(String value1, String value2) {
            addCriterion("ext_1 not between", value1, value2, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt2IsNull() {
            addCriterion("ext_2 is null");
            return (Criteria) this;
        }

        public Criteria andExt2IsNotNull() {
            addCriterion("ext_2 is not null");
            return (Criteria) this;
        }

        public Criteria andExt2EqualTo(String value) {
            addCriterion("ext_2 =", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotEqualTo(String value) {
            addCriterion("ext_2 <>", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2GreaterThan(String value) {
            addCriterion("ext_2 >", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2GreaterThanOrEqualTo(String value) {
            addCriterion("ext_2 >=", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2LessThan(String value) {
            addCriterion("ext_2 <", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2LessThanOrEqualTo(String value) {
            addCriterion("ext_2 <=", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2Like(String value) {
            addCriterion("ext_2 like", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotLike(String value) {
            addCriterion("ext_2 not like", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2In(List<String> values) {
            addCriterion("ext_2 in", values, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotIn(List<String> values) {
            addCriterion("ext_2 not in", values, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2Between(String value1, String value2) {
            addCriterion("ext_2 between", value1, value2, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotBetween(String value1, String value2) {
            addCriterion("ext_2 not between", value1, value2, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt3IsNull() {
            addCriterion("ext_3 is null");
            return (Criteria) this;
        }

        public Criteria andExt3IsNotNull() {
            addCriterion("ext_3 is not null");
            return (Criteria) this;
        }

        public Criteria andExt3EqualTo(String value) {
            addCriterion("ext_3 =", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotEqualTo(String value) {
            addCriterion("ext_3 <>", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3GreaterThan(String value) {
            addCriterion("ext_3 >", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3GreaterThanOrEqualTo(String value) {
            addCriterion("ext_3 >=", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3LessThan(String value) {
            addCriterion("ext_3 <", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3LessThanOrEqualTo(String value) {
            addCriterion("ext_3 <=", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3Like(String value) {
            addCriterion("ext_3 like", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotLike(String value) {
            addCriterion("ext_3 not like", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3In(List<String> values) {
            addCriterion("ext_3 in", values, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotIn(List<String> values) {
            addCriterion("ext_3 not in", values, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3Between(String value1, String value2) {
            addCriterion("ext_3 between", value1, value2, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotBetween(String value1, String value2) {
            addCriterion("ext_3 not between", value1, value2, "ext3");
            return (Criteria) this;
        }
    }

    /**
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}